Overview
Prerequisites:
- This feature is available with the Paradime Enterprise pack.
- Your API keys must have the Custom Integrations Admin capability.
The examples below authenticate with an account API key — pass
Authorization: Bearer <token> and X-Paradime-Workspace: <workspace_uid> (the account key starts with prdm_cmp_). Legacy workspace API keys are still supported: send X-API-KEY and X-API-SECRET headers instead. See API Keys.- Create custom integrations tailored to your specific needs
- Ingest and manage nodes from various data sources and applications
- Upload node information for Paradime to incorporate into its lineage and catalog
- Enhance data visibility by connecting Paradime with your entire data ecosystem
Registering a New Integration
TheintegrationUid in the response will be used in later APIs. This enpoint needs to be called only once when registering a new type of integration.
Defining color for a node:
The color can be one defined from one of the provided color pallets:
- VIOLET
#827be6 - ORANGE
#fb982e - MANDY
#ef6292 - TEAL
#33a9a9 - GREEN
#27ae60
icon_namecan be chosen from Blueprint.js icons library
Example request
- GraphQL
- cURL
Example response
Example response
integrationUid from above will be used in later APIs. The above api needs to be called only once when registering a new type of integration.Adding nodes to an integration
Update a custom integration with the specified parameters.Example request
- GraphQL
- cURL
Example response
Example response
List Custom Integrations
Retrieves a list of all custom integrations. This includes both active and inactive integrations.Example request
- GraphQL
- cURL
Example response
Example response